Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452489 - double free or corruption
Summary: double free or corruption
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nspluginwrapper
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-23 12:25 UTC by M. Kristall
Modified: 2008-08-06 04:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-06 04:39:21 UTC


Attachments (Terms of Use)

Description M. Kristall 2008-06-23 12:25:59 UTC
mozplugger 1.10.1-1.i386 does not load with nspluginwrapper 0.9.91.5.i386 for me:
*** glibc detected *** /usr/lib/nspluginwrapper/npviewer.bin: double free or
corruption (!prev): 0x093fac38 ***
======= Backtrace: =========
/lib/libc.so.6[0x4057e4]
/lib/libc.so.6(cfree+0x96)[0x407846]
/usr/lib/nspluginwrapper/npviewer.bin[0x804f71b]
/usr/lib/mozilla/plugins/mozplugger.so(NPN_DestroyStream+0x2d)[0x115b3d]
/usr/lib/mozilla/plugins/mozplugger.so(NPP_WriteReady+0x47)[0x1128d7]
/usr/lib/mozilla/plugins/mozplugger.so(Private_WriteReady+0x24)[0x116024]
/usr/lib/nspluginwrapper/npviewer.bin[0x804afd2]
/usr/lib/nspluginwrapper/npviewer.bin[0x8053ced]
/usr/lib/nspluginwrapper/npviewer.bin[0x8054ca9]
/usr/lib/nspluginwrapper/npviewer.bin[0x804abe1]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1e8)[0x429a098]
/lib/libglib-2.0.so.0[0x429d743]
/lib/libglib-2.0.so.0(g_main_loop_run+0x1d2)[0x429dc62]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xe0)[0x48a2ac5]
/usr/lib/nspluginwrapper/npviewer.bin[0x80507f1]
/lib/libc.so.6(__libc_start_main+0xe6)[0x3ae5d6]
/usr/lib/nspluginwrapper/npviewer.bin[0x804a8f1]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00118000 r-xp 00000000 08:05 11457601  
/usr/lib/mozilla/plugins/mozplugger.so
00118000-00119000 rw-p 00006000 08:05 11457601  
/usr/lib/mozilla/plugins/mozplugger.so
00119000-00139000 rw-p 00119000 00:00 0 
00139000-00143000 r-xp 00000000 08:05 8282467    /lib/libnss_files-2.8.so
00143000-00144000 r--p 0000a000 08:05 8282467    /lib/libnss_files-2.8.so
00144000-00145000 rw-p 0000b000 08:05 8282467    /lib/libnss_files-2.8.so
0026c000-00281000 r-xp 00000000 08:05 8283870    /lib/libpthread-2.8.so
00281000-00282000 r--p 00014000 08:05 8283870    /lib/libpthread-2.8.so
00282000-00283000 rw-p 00015000 08:05 8283870    /lib/libpthread-2.8.so
00283000-00285000 rw-p 00283000 00:00 0 
00287000-002a1000 r-xp 00000000 08:05 8282271    /lib/libselinux.so.1
002a1000-002a2000 r--p 00019000 08:05 8282271    /lib/libselinux.so.1
002a2000-002a3000 rw-p 0001a000 08:05 8282271    /lib/libselinux.so.1
002a5000-002aa000 r-xp 00000000 08:05 11091586   /usr/lib/libXdmcp.so.6.0.0
002aa000-002ab000 rw-p 00004000 08:05 11091586   /usr/lib/libXdmcp.so.6.0.0
002ad000-002af000 r-xp 00000000 08:05 11091585   /usr/lib/libXau.so.6.0.0
002af000-002b0000 rw-p 00001000 08:05 11091585   /usr/lib/libXau.so.6.0.0
002b2000-002b5000 r-xp 00000000 08:05 8282474    /lib/libgmodule-2.0.so.0.1600.3
002b5000-002b6000 rw-p 00002000 08:05 8282474    /lib/libgmodule-2.0.so.0.1600.3
002bb000-002c3000 r-xp 00000000 08:05 8283871    /lib/librt-2.8.so
002c3000-002c4000 r--p 00007000 08:05 8283871    /lib/librt-2.8.so
002c4000-002c5000 rw-p 00008000 08:05 8283871    /lib/librt-2.8.so
002c7000-002cb000 r-xp 00000000 08:05 8282484    /lib/libgthread-2.0.so.0.1600.3
002cb000-002cc000 rw-p 00003000 08:05 8282484    /lib/libgthread-2.0.so.0.1600.3
002ce000-00324000 r-xp 00000000 08:05 11090465   /usr/lib/libXt.so.6.0.0
00324000-00328000 rw-p 00056000 08:05 11090465   /usr/lib/libXt.so.6.0.0
0038e000-00392000 r-xp 00000000 08:05 8282255    /lib/libplc4.so
00392000-00393000 rw-p 00003000 08:05 8282255    /lib/libplc4.so
00395000-00397000 r-xp 00000000 08:05 8282488    /lib/libplds4.so
00397000-00398000 rw-p 00002000 08:05 8282488    /lib/libplds4.so
00398000-004fb000 r-xp 00000000 08:05 8283858    /lib/libc-2.8.so
004fb000-004fd000 r--p 00163000 08:05 8283858    /lib/libc-2.8.so
004fd000-004fe000 rw-p 00165000 08:05 8283858    /lib/libc-2.8.so
004fe000-00501000 rw-p 004fe000 00:00 0 
0073c000-00773000 r-xp 00000000 08:05 8282254    /lib/libnspr4.so
00773000-00774000 rw-p 00037000 08:05 8282254    /lib/libnspr4.so
00774000-00776000 rw-p 00774000 00:00 0 
008ae000-008ca000 r-xp 00000000 08:05 11071450  
/usr/lib/libgdk_pixbuf-2.0.so.0.1200.10
008ca000-008cb000 rw-p 0001b000 08:05 11071450  
/usr/lib/libgdk_pixbuf-2.0.so.0.1200.10
00bc8000-00bd1000 r-xp 00000000 08:05 11085196  
/usr/lib/libpangocairo-1.0.so.0.2000.1
00bd1000-00bd2000 rw-p 00008000 08:05 11085196  
/usr/lib/libpangocairo-1.0.so.0.2000.1
00be9000-00c17000 r-xp 00000000 08:05 11085187   /usr/lib/libfontconfig.so.1.3.0
00c17000-00c18000 rw-p 0002e000 08:05 11085187   /usr/lib/libfontconfig.so.1.3.0
00c1a000-00c43000 r-xp 00000000 08:05 11085194  
/usr/lib/libpangoft2-1.0.so.0.2000.1
00c43000-00c44000 rw-p 00028000 08:05 11085194  
/usr/lib/libpangoft2-1.0.so.0.2000.1
00d94000-00db0000 r-xp 00000000 08:05 8282568    /lib/ld-2.8.so
00db0000-00db1000 r--p 0001c000 08:05 8282568    /lib/ld-2.8.so
00db1000-00db2000 rw-p 0001d000 08:05 8282568    /lib/ld-2.8.so
00db4000-00ddb000 r-xp 00000000 08:05 8283867    /lib/libm-2.8.so
00ddb000-00ddc000 r--p 00026000 08:05 8283867    /lib/libm-2.8.so
00ddc000-00ddd000 rw-p 00027000 08:05 8283867    /lib/libm-2.8.so
00ddf000-00de2000 r-xp 00000000 08:05 8283859    /lib/libdl-2.8.so
00de2000-00de3000 r--p 00002000 08:05 8283859    /lib/libdl-2.8.so
00de3000-00de4000 rw-p 00003000 08:05 8283859    /lib/libdl-2.8.so
00de6000-00df9000 r-xp 00000000 08:05 8283866    /lib/libz.so.1.2.3
00df9000-00dfa000 rw-p 00012000 08:05 8283866    /lib/libz.so.1.2.3
00dfc000-00dfd000 r-xp 00000000 08:05 11091606   /usr/lib/libxcb-xlib.so.0.0.0
00dfd000-00dfe000 rw-p 00000000 08:05 11091606   /usr/lib/libxcb-xlib.so.0.0.0
041c1000-0424c000 r-xp 00000000 08:05 11080174   /usr/lib/libfreetype.so.6.3.16
0424c000-04250000 rw-p 0008a000 08:05 11080174   /usr/lib/libfreetype.so.6.3.16
04263000-04343000 r-xp 00000000 08:05 8282472    /lib/libglib-2.0.so.0.1600.3
04343000-04344000 rw-p 000e0000 08:05 8282472    /lib/libglib-2.0.so.0.1600.3
04346000-04385000 r-xp 00000000 08:05 8282476    /lib/libgobject-2.0.so.0.1600.3
04385000-04386000 rw-p 0003f000 08:05 8282476    /lib/libgobject-2.0.so.0.1600.3
043df000-043fa000 r-xp 00000000 08:05 11078680   /usr/lib/libatk-1.0.so.0.2209.1
043fa000-043fc000 rw-p 0001a000 08:05 11078680   /usr/lib/libatk-1.0.so.0.2209.1
043fe000-04491000 r-xp 00000000 08:05 11085199  
/usr/lib/libgdk-x11-2.0.so.0.1200.10
04491000-04494000 rw-p 00093000 08:05 11085199  
/usr/lib/libgdk-x11-2.0.so.0.1200.10
04496000-044d7000 r-xp 00000000 08:05 11072626   /usr/lib/libpango-1.0.so.0.2000.1
044d7000-044d9000 rw-p 00040000 08:05 11072626   /usr/lib/libpango-1.0.so.0.2000.1
04705000-0472c000 r-xp 00000000 08:05 11071217   /usr/lib/libpng12.so.0.29.0
0472c000-0472d000 rw-p 00026000 08:05 11071217   /usr/lib/libpng12.so.0.29.0
0472f000-04b31000 r-xp 00000000 08:05 11085203  
/usr/lib/libgtk-x11-2.0.so.0.1200.10
04b31000-04b37000 rw-p 00402000 08:05 11085203  
/usr/lib/libgtk-x11-2.0.so.0.1200.10
04b37000-04b38000 rw-p 04b37000 00:00 0 
04b3a000-04ba7000 r-xp 00000000 08:05 11085188   /usr/lib/libcairo.so.2.17.5
04ba7000-04ba9000 rw-p 0006d000 08:05 11085188   /usr/lib/libcairo.so.2.17.5
06635000-06650000 r-xp 00000000 08:05 11091602   /usr/lib/libxcb.so.1.0.0
06650000-06651000 rw-p 0001a000 08:05 11091602   /usr/lib/libxcb.so.1.0.0
06653000-06750000 r-xp 00000000 08:05 11091622   /usr/lib/libX11.so.6.2.0
06750000-06754000 rw-p 000fc000 08:05 11091622   /usr/lib/libX11.so.6.2.0
06756000-06765000 r-xp 00000000 08:05 11092201   /usr/lib/libXext.so.6.4.0
06765000-06766000 rw-p 0000e000 08:05 11092201   /usr/lib/libXext.so.6.4.0
06768000-0678d000 r-xp 00000000 08:05 8283868    /lib/libexpat.so.1.5.2
0678d000-0678f000 rw-p 00024000 08:05 8283868    /lib/libexpat.so.1.5.2
0687c000-06880000 r-xp 00000000 08:05 11092428   /usr/lib/libXfixes.so.3.1.0
06880000-06881000 rw-p 00003000 08:05 11092428   /usr/lib/libXfixes.so.3.1.0
06883000-0688b000 r-xp 00000000 08:05 11091752   /usr/lib/libXrender.so.1.3.0
0688b000-0688c000 rw-p 00007000 08:05 11091752   /usr/lib/libXrender.so.1.3.0
068ff000-0692b000 r-xp 00000000 08:05 11092044   /usr/lib/libpixman-1.so.0.10.0
0692b000-0692c000 rw-p 0002c000 08:05 11092044   /usr/lib/libpixman-1.so.0.10.0
06d94000-06d9d000 r-xp 00000000 08:05 11092430   /usr/lib/libXcursor.so.1.0.2
06d9d000-06d9e000 rw-p 00008000 08:05 11092430   /usr/lib/libXcursor.so.1.0.2
06deb000-06df1000 r-xp 00000000 08:05 11092427   /usr/lib/libXrandr.so.2.1.0
06df1000-06df2000 rw-p 00005000 08:05 11092427   /usr/lib/libXrandr.so.2.1.0
06e98000-06e9a000 r-xp 00000000 08:05 11092242   /usr/lib/libXineX Error of
failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  1 (X_CreateWindow)
  Resource id in failed request:  0x4600002
  Serial number of failed request:  7
  Current serial number in output stream:  13
*** NSPlugin Wrapper *** ERROR: NPP_WriteReady() wait for reply: Connection closed

Comment 1 Martin Stransky 2008-08-05 15:13:49 UTC
Please check the updated package (1.1.0)

Comment 2 M. Kristall 2008-08-05 17:33:38 UTC
(In reply to comment #1)
> Please check the updated package (1.1.0)

I can't reproduce this since updating to 1.1.0. Cheers!


Note You need to log in before you can comment on or make changes to this bug.